"""
SPDX-FileCopyrightText: 2020-present Open Networking Foundation <info@opennetworking.org>
SPDX-License-Identifier: LicenseRef-ONF-Member-1.01
"""

import os
import subprocess
import logging as log


def ping(host):
    #log.debug("Pinging {}".format(host))
    if host != None:
        return subprocess.call(["ping", "-c", "1", "-W", "1", host],
                stdout=subprocess.DEVNULL,
                stderr=subprocess.STDOUT) == 0
    else:
        return False
